For clean Markdown of any page, append .md to the page URL. For a complete documentation index, see https://developer.shipbob.com/2025-07/api/orders/llms.txt. For full documentation content, see https://developer.shipbob.com/2025-07/api/orders/llms-full.txt.

# Save the Store Order Json

POST https://api.shipbob.com/2025-07/order/{orderId}/store-order-json
Content-Type: application/json

Reference: https://developer.shipbob.com/2025-07/api/orders/save-the-store-order-json

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: api-2025-07
  version: 1.0.0
paths:
  /2025-07/order/{orderId}/store-order-json:
    post:
      operationId: save-the-store-order-json
      summary: Save the Store Order Json
      tags:
        - subpackage_orders
      parameters:
        - name: orderId
          in: path
          description: The order ID to Store
          required: true
          schema:
            type: string
            format: int32
        - name: Authorization
          in: header
          description: Authentication using Personal Access Token (PAT) token
          required: true
          schema:
            type: string
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Orders.Post.Api.Order.OrderId.StoreOrderJson.Created.String
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Orders.Post.Api.Order.OrderId.StoreOrderJson.Bad.Request.Object
        '401':
          description: No access right at this time
          content:
            application/json:
              schema:
                description: Any type
        '403':
          description: No access
          content:
            application/json:
              schema:
                description: Any type
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                description: Any type
        '422':
          description: Client Error
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Orders.Post.Api.Order.OrderId.StoreOrderJson.Unprocessable.Entity.Object
      requestBody:
        description: The JSON that represent the order on the Third Party Source
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Orders.AddStoreOrderJsonModel'
servers:
  - url: https://api.shipbob.com
  - url: https://sandbox-api.shipbob.com
components:
  schemas:
    Orders.AddStoreOrderJsonModel:
      type: object
      properties:
        order_json:
          type: string
          description: Json String that represent the order on a store front system
      description: Model for adding a Store Order Json to a ShipBob Order.
      title: Orders.AddStoreOrderJsonModel
    Orders.Post.Api.Order.OrderId.StoreOrderJson.Created.String:
      type: string
      title: Orders.Post.Api.Order.OrderId.StoreOrderJson.Created.String
    Orders.Post.Api.Order.OrderId.StoreOrderJson.Bad.Request.Object:
      type: object
      additionalProperties:
        type: array
        items:
          type: string
      title: Orders.Post.Api.Order.OrderId.StoreOrderJson.Bad.Request.Object
    Orders.Post.Api.Order.OrderId.StoreOrderJson.Unprocessable.Entity.Object:
      type: object
      additionalProperties:
        type: array
        items:
          type: string
      title: Orders.Post.Api.Order.OrderId.StoreOrderJson.Unprocessable.Entity.Object
  securitySchemes:
    PAT:
      type: http
      scheme: bearer
      description: Authentication using Personal Access Token (PAT) token
    OAuth2:
      type: http
      scheme: bearer
      description: OAuth2 authentication using JWT tokens

```

## SDK Code Examples

```python Orders_saveTheStoreOrderJson_example
import requests

url = "https://api.shipbob.com/2025-07/order/orderId/store-order-json"

payload = { "order_json": "string" }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Orders_saveTheStoreOrderJson_example
const url = 'https://api.shipbob.com/2025-07/order/orderId/store-order-json';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"order_json":"string"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Orders_saveTheStoreOrderJson_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.shipbob.com/2025-07/order/orderId/store-order-json"

	payload := strings.NewReader("{\n  \"order_json\": \"string\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Orders_saveTheStoreOrderJson_example
require 'uri'
require 'net/http'

url = URI("https://api.shipbob.com/2025-07/order/orderId/store-order-json")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"order_json\": \"string\"\n}"

response = http.request(request)
puts response.read_body
```

```java Orders_saveTheStoreOrderJson_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.shipbob.com/2025-07/order/orderId/store-order-json")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"order_json\": \"string\"\n}")
  .asString();
```

```php Orders_saveTheStoreOrderJson_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.shipbob.com/2025-07/order/orderId/store-order-json', [
  'body' => '{
  "order_json": "string"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Orders_saveTheStoreOrderJson_example
using RestSharp;

var client = new RestClient("https://api.shipbob.com/2025-07/order/orderId/store-order-json");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"order_json\": \"string\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Orders_saveTheStoreOrderJson_example
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["order_json": "string"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.shipbob.com/2025-07/order/orderId/store-order-json")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```